Bug 145591 - emulators/qemu: missing dependencies
Summary: emulators/qemu: missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Juergen Lock
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-09 23:10 UTC by Enji Cooper
Modified: 2013-02-03 22:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2010-04-09 23:10:01 UTC
QEMU requires cURL, but that currently isn't noted in the dependencies
for the emulator/qemu* ports.

$ qemu-system-x86_64 
/libexec/ld-elf.so.1: Shared object "libcurl.so.5" not found, required by "qemu-system-x86_64"

It also requires libssl, and a number of other pertinent libraries.
Example (after rebuild):

$ ldd `which qemu`
/usr/local/bin/qemu:
	libthr.so.3 => /lib/libthr.so.3 (0x800821000)
	libutil.so.9 => /lib/libutil.so.9 (0x800938000)
	libcurl.so.6 => /usr/local/lib/libcurl.so.6 (0x800a47000)
	libssl.so.6 => /usr/lib/libssl.so.6 (0x800b91000)
	libcrypto.so.6 => /lib/libcrypto.so.6 (0x800ce1000)
	libz.so.6 => /lib/libz.so.6 (0x800f6f000)
	libncurses.so.8 => /lib/libncurses.so.8 (0x801085000)
	libpcap.so.7 => /lib/libpcap.so.7 (0x8011d0000)
	libSDL-1.2.so.11 => /usr/local/lib/libSDL-1.2.so.11 (0x8012fe000)
	libX11.so.6 => /usr/local/lib/libX11.so.6 (0x801464000)
	libm.so.5 => /lib/libm.so.5 (0x80168c000)
	libc.so.7 => /lib/libc.so.7 (0x8017ab000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x8019e1000)
	libvgl.so.6 => /usr/lib/libvgl.so.6 (0x801bda000)
	libaa.so.1 => /usr/local/lib/libaa.so.1 (0x801ce2000)
	libxcb.so.2 => /usr/local/lib/libxcb.so.2 (0x801dfc000)
	libXau.so.6 => /usr/local/lib/libXau.so.6 (0x801f15000)
	libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x802017000)
	libpthread-stubs.so.0 => /usr/local/lib/libpthread-stubs.so.0 (0x80211c000)
	librpcsvc.so.5 => /usr/lib/librpcsvc.so.5 (0x80221d000)
	libusbhid.so.4 => /usr/lib/libusbhid.so.4 (0x802325000)

These libraries should be properly noted in the build dependencies for
the port and the config dialog.

Fix: 

1. Port needs to be bumped.
2. Dependency needs to be filled in.
How-To-Repeat: 1. Grab ports prior to 2010-04-03.
2. Update curl.
3. Try executing qemu.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-04-10 02:45:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

Fix synopsis and assign.
Comment 2 dfilter service freebsd_committer 2010-04-11 12:42:46 UTC
nox         2010-04-11 11:42:38 UTC

  FreeBSD ports repository

  Modified files:
    emulators/qemu       Makefile 
    emulators/qemu/files patch-Makefile patch-configure 
    emulators/qemu-devel Makefile 
  Log:
  - Fix libcurl probe for emulators/qemu and add proper dependencies and knobs.
  - Bump PORTREVISIONs.
  
  PR:             ports/145591
  Submitted by:   gcooper
  
  Revision  Changes    Path
  1.110     +8 -0      ports/emulators/qemu-devel/Makefile
  1.110     +8 -1      ports/emulators/qemu/Makefile
  1.7       +9 -0      ports/emulators/qemu/files/patch-Makefile
  1.6       +19 -0     ports/emulators/qemu/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2010-04-11 12:43:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!